Filzip Help

FilZip Features

<Next>

Filzip is the most powerful Freeware Archive Utility that exists for Windows® 9x, Windows NT®, 2000 and Windows XP. Working in easy and modern user interface, similar to other popular archive utilities, and gives you access to many powerful features. With help, in HTML format, learning has never been easier -- like browsing thought nice web pages. Click on the "Features" to see more information about FilZip.

To learn more about FilZip, read:

  • Introduction
  • Features

<Next>

Copyright (c) 1997-2003 by Philipp Engel


Open an archive

Introduction

<Last> <Next>

In the Internet you will be confronted very often with ZIP files, the most used compression type. FilZip is THE way to handle these archived files. It's both powerful and very fast. High compression rates are standard.
FilZip brings the convenience of Windows to the use of Zip files.

FilZip is extremely easy to use! To open an archive simply double click (or, you're working in Web style, click once) on an archive listed in My Computer or the Windows Explorer, drag and drop an archive onto FilZip, or use the standard Open dialog box. The main FilZip window features a list with the names, and sizes of all files in the open archive. This list can be scrolled and sorted on any field. A configurable tool bar provides fast access to commonly used actions.

Double clicking on a file in the main FilZip window has the same effect as double clicking in My Computer or the Windows Explorer. First the file is extracted from the archive. Then, if the file is executable, it is run. Otherwise, the file is opened by the appropriate application (for example, Notepad for *.TXT files) based on standard Windows associations, or any other program you want to use instead.

The Windows Drag and Drop interface is fully supported. You can drag and drop files from FilZip to other applications, or just into Windows Explorer to extract them into a specific directory. FilZip will extract the files before dropping them on the target application. The target application will treat the files as if they had been dropped from My Computer or the Windows Explorer. You can also drop archives on FilZip to open them, or drop files on FilZip to add them to an opened or new archive.


FilZip features

v3.0 - 07/15/03

  • well, I recoded the entire archive handling code, so you will encounter various small changes. some of the more important changes are listed below:
  • improved archive loading and browsing speed
  • Support for Explorer Style archive viewing
  • Support for Windows XP themes
  • print archive listings to text files, html or even on your printer
  • mailing archives via the default mail client finally useable
  • support for virus scanner
  • reuse Filzip windows
  • new multi-language engine, for easier tranlations to other languages
  • now settings can be saved in registry or ini file, default: registry
  • strong encryption support (AES)
  • fixed a lot of bugs...

v2.01 - 10/01/2001

  • Many, many bug-fixes!!
  • Icons are now displayed on NT 4.0 systems
  • Windows Shell system updates now after the filetype-registration
  • Partial Filetype association is now possible!
  • Copy/Move/Rename bugs are now fixed
  • tar files in tar.gz archives are automatically opened
  • AutoUpdate feature added
  • storing files without path info is now possible
  • WinXP theme support added (tlistview bug fixed)
  • enhanced shell extension (shortening filenames)
  • fixed bug: extract selected files
  • and many more... :)

v2.0 - 06/24/2001

  • Big speed improvement: Loading files up to 20 times faster
  • Extended shell extensions: Add to all archive types, multiextract, multitest, email,...
  • remote/local ini file location
  • Test, Extract, Convert and Repair many files at once
  • Rename and change path of files in zip archives
  • Filetype is now displayed
  • new menu & toolbar icons
  • temp folder bug fixed
  • fixed problem with already existing files
  • no more problems with WinNT & Registry access


Brief Tutorial

Check out all these sections to learn about FilZip

  • The FilZip main window
  • Create a new Archive
  • Open an existing archive
  • View archived files
  • Add files to an archive
  • Extract files
  • Delete files
  • Multi-Disk spanning


The FilZip Window

The FilZip main window

The FilZip window is where you start many of your operations. You can open it trough the start menu, or by clicking on a zip file in My Computer or the Explorer opens it automatically.

The Title Bar displays not just the FilZip product title, but the name of the archive you are currently working with. The Toolbar allows you a quick access to the most common tasks like Open, Add, Extract.

The Main Window Area displays information about the files in the archive, like the filename or compression rate. Finally, the Status Bar displays size of all the files in copressed and uncompressed state, along with other archive information


Create a new archive

You can create a new archive by selecting the New Archive item of the drop down menu or by using the speedbutton New.

Then you have to choose a name for the archive, but it should not not be too long. This dialog is a standard windows open dialog, you can choose the drive and the folder, or if you need another, create folder and then you can create the new archive you want it to be. If you choose a name of an existing archive, FilZip will ask you if you want to overwrite it.

If you want to work with an existing then visit the Open an archive section.


Open an archive

First, you have to open an archive. Select Open Archive from the File menu or click on the Open speedbutton on the toolbar. Clicking on the small arrow button opens a drop down menu with a list of the last opened archives.

Now there appears a open dialog box like in many aother applications. Just select the file you want to work with an click open (if you don't want to work with an existing archive, visit the Create new Archive section)

Now you can see the files stored in this archive, their size, compreesion rate and path You are able to extract the files, add new ones, delete files or open files without manually extracting them.


View archive files

There are several possibilties to access this function. Either you use the main menu (Action->Open), or via the contextmenu (Open). Another possiblity, the easiest, is to click (or double click, if you've deactivated the "Hot tracking" option) onto an item of the zip content list.

It will automatically extracted to your temp folder (to set it, go to Options Dialog) be opened with its associated application, for example, a .doc file will be opened with Wordpad.

If you want to view the file with a special application, choose "View" out of the menus. As standard, the file will be opened with Windows Notepad, but you can also use any other program, e.g. a hexeditor. To set it, you have to select it over the Options Dialog.


Add files to an archive

Before adding files to an archive, make sure that you've opened or created one before.

Click the Add-Toolbutton, use the main or context menu to go to the 'Add files' Dialog. Here you can select all the files and directories you want to add to your archive. Check the options, select the compression rate and press Add to go on.
Now the adding procedure starts. You can't do anything while FilZip adds the files.
If you want to cancel the Adding process, just click 'Cancel' in the status window.

Another way to add files to an archive is dragging files into FilZip Window from the Desktop or the Explorer.


Extract files

Extract files from an archive

When you extract a file, FilZip decompresses it and places it in the folder you specified before. If the archive was packed with paths, it restores the folders and retains the structure of any subfolders.

Select Extract from the Actions menu or click on the Extract speedbutton in the toolbar. The shown dialog allows you to set different options and the folder where you would like FilZip to put the files to.
For more information see the Extract dialog box section


Delete files from archive

It's recommend that you select the files you want to remove first, otherwhise all files will be deleted. You can hold the CRTL or SHIFT key down to select multiple files.

Goto "Actions" menu and select "Delete". A new dialog is shown and offers two possibilities:
Either to remove all files at once or to delete the selected ones.

Now click "Delete" and the files will be removed.


Multi-Disk spanning

FilZip makes it easy to create Zip files that 'span' multiple disks. This is useful if the files you are working are larger than a single disk.

To make a Zip file that spans multiple disks, simply create an archive on a removable disk, then add files to the archive. If the disk fills during Add operation, you will be prompted for another disk. Simply insert the next disk and click the OK button. You can use both pre-formatted or full disks,you will only have to choose the AUTOMATIC & DISK FORMAT function

Important: disk spanning is not available when adding files to an existing archive; it is only available while creating a new archive. Also note that you cannot add or remove files from a Zip file that spans disks.

Example:
To zip the files in your C:\TEST folder to a Zip file called A:\TEST.ZIP :

- Start FilZip.

- Create a new archive called A:\TEST.ZIP

- Open the Add dialog box using the menu or the toolbutton

- Add the C:\test folder to the list of files & folders

- Select AUTOMATIC or AUTOMATIC & DISK FORMAT in the multiple disk spanning combobox

- Click the Add Button

If more than one disk is needed, you will be prompted for additional disks.


FilZip Command Line

FilZip Command Line access

Since Version 1.6, FilZip supports Command Line access. At the moment, you can only add & extract files to archives. Here are the parameters:

    Usage: filzip.exe <-command> [-<sw> [-<sw>...]] <archive_name> [<filename>...]
    Example: filzip.exe -a -rp test.zip *.txt
    <Commands>

    -a : Add files
    -e : Extract files

    <Switches>
    Add
      r : Add recursive
      p : Save path names
      f : Save full path info
      s : Load filelist from parameter file

    Extract
      r : restore path names
      o : overwrite existing files
      u : update older files

Note:
If you want to add a big number of files to an archive, write them into a textfile, one in each line, use the -s switch and run with this file as parameter. Example:

filzip.exe -a -rps test.zip param.txt


About FilZip and the author

The Author:

Philipp Engel

Contacts:

Buchenweg 10
85757 Karlsfeld
GERMANY

Email: philipp.engel@filip.com
Website: http://www.filzip.com

I'm a poor student, feel free to send me some money !(!!)

bank code number: 700 515 40
bank account: 86538
Institute: Sparkasse Dachau-Indersdorf

This program was created using Borland Delphi 5

DISCLAIMER

USAGE OF THIS PROGRAM IS ENTIRELY AT YOUR OWN RISK. THERE ARE NO WARRANTIES, EITHER EXPRESS OR IMPLIED.

This compression tool was built using delphi zip component by Eric Engler http://www.geocities.com/SiliconValley/Network/2114/

His components use the code from the Info-Zip Company, which is freely availible at: http://www.cdrom.com/pub/infozip/


Additional features
Self-Extracting Archives
 A self-extracting archive file (SFX) is an executable program file (.EXE file) that includes both a Zip file and software to extract or "unzip" the contents of the Zip file. Users can extract the contents of a self-extracting Zip file by simply running it. This is convenient, because the end user does not need an unzip program (like FilZip) to extract files from these self-extracting archives. The only disadvantage is that Self-Extracting Archives are slightly larger than the original ZIP.
Win32 SFXs - these are Windows 95 /NT programs that present user with a standard Window interface. Below is a screenshot of a Win32 SFX created with FilZip. Win32 SFXs are about 34K larger than the original ZIP files.